use crate::filters;
use crate::models::{Area, Role, User};
use askama::Template;

pub mod delete;
pub mod get_changepassword;
pub mod get_edit;
pub mod get_login;
pub mod get_logout;
pub mod get_new;
pub mod get_overview;
pub mod get_profile;
pub mod get_reset;
pub mod patch;
pub mod post_changepassword;
pub mod post_edit;
pub mod post_login;
pub mod post_new;
pub mod post_reset;
pub mod post_toggle;

#[derive(Template)]
#[template(path = "user/new_or_edit.html")]
pub struct NewOrEditUserTemplate {
    user: User,
    areas: Option<Vec<Area>>,
    id: Option<i32>,
    email: Option<String>,
    name: Option<String>,
    role: Option<u8>,
    function: Option<u8>,
    area_id: Option<i32>,
}
